peak.can.basic

## Enum TPCANMessageType

- java.lang.Object
- - java.lang.Enum<TPCANMessageType>
  - - peak.can.basic.TPCANMessageType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TPCANMessageType>

      public enum TPCANMessageType
      extends java.lang.Enum<TPCANMessageType>

  Represents the type of a PCAN message

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PCAN_MESSAGE_BRS` The PCAN message represents a FD bit rate switch (CAN data at a higher bitrate)
    `PCAN_MESSAGE_ESI` The PCAN message represents a FD error state indicator(CAN FD transmitter was error active)
    `PCAN_MESSAGE_EXTENDED` The PCAN message is a CAN Extended Frame (29-bit identifier)
    `PCAN_MESSAGE_FD` The PCAN message represents a FD frame in terms of CiA Specs
    `PCAN_MESSAGE_RTR` The PCAN message is a CAN Remote-Transfer-Request Frame
    `PCAN_MESSAGE_STANDARD` The PCAN message is a CAN Standard Frame (11-bit identifier)
    `PCAN_MESSAGE_STATUS` The PCAN message represents a PCAN status message

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getValue()`
    `static byte` | `getValue(java.util.EnumSet<TPCANMessageType> type)` Gets the value of an EnumSet
    `static TPCANMessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TPCANMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PCAN_MESSAGE_STANDARD

          public static final TPCANMessageType PCAN_MESSAGE_STANDARD

      The PCAN message is a CAN Standard Frame (11-bit identifier)

    - #### PCAN_MESSAGE_RTR

          public static final TPCANMessageType PCAN_MESSAGE_RTR

      The PCAN message is a CAN Remote-Transfer-Request Frame

    - #### PCAN_MESSAGE_EXTENDED

          public static final TPCANMessageType PCAN_MESSAGE_EXTENDED

      The PCAN message is a CAN Extended Frame (29-bit identifier)

    - #### PCAN_MESSAGE_FD

          public static final TPCANMessageType PCAN_MESSAGE_FD

      The PCAN message represents a FD frame in terms of CiA Specs

    - #### PCAN_MESSAGE_BRS

          public static final TPCANMessageType PCAN_MESSAGE_BRS

      The PCAN message represents a FD bit rate switch (CAN data at a higher bitrate)

    - #### PCAN_MESSAGE_ESI

          public static final TPCANMessageType PCAN_MESSAGE_ESI

      The PCAN message represents a FD error state indicator(CAN FD transmitter was error active)

    - #### PCAN_MESSAGE_STATUS

          public static final TPCANMessageType PCAN_MESSAGE_STATUS

      The PCAN message represents a PCAN status message

  - ### Method Detail

    - #### values

          public static TPCANMessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TPCANMessageType c : TPCANMessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TPCANMessageType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public byte getValue()

    - #### getValue

          public static byte getValue(java.util.EnumSet<TPCANMessageType> type)

      Gets the value of an EnumSet
      Parameters:
        `type` - collection of TPCANMessageType
      Returns:
        value of the EnumSet